> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/unmanaged-egressip/inquirypricechangeunmanagedegressipinternetchargetype.md).

# InquiryPriceChangeUnmanagedEgressIpInternetChargeType

## 1. 接口描述

本接口(InquiryPriceChangeUnmanagedEgressIpInternetChargeType)用于查询变更非托管出口IP网络计费模式后的价格。

{% hint style="info" %}
**注意事项**

* 变更为按带宽计费（`ByBandwidth`）时，需传入 `bandwidth`。
* 变更为流量包计费（`ByTrafficPackage`）时，需传入 `flowPackage`（单位TB，为0或0.1的倍数）。
* 变更为共享带宽包计费（`BandwidthCluster`）时，`bandwidthPrice` 返回null（不收费）。
* 保底流量包大小仅对计费周期为月有效。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                | 必选 | 类型                                                                                      | 描述                                                                                              |
| ------------------- | -- | --------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| unmanagedEgressIpId | 是  | String                                                                                  | 要操作的非托管出口IP。                                                                                    |
| internetChargeType  | 是  | [InternetChargeType](/api-reference/cn/compute/zec/datastructure.md#internetchargetype) | 要变更的目标网络计费类型。                                                                                   |
| bandwidth           | 否  | Integer                                                                                 | <p>带宽限速。</p><p>单位：Mbps。</p><p>变更为按带宽计费（ByBandwidth）时必传。</p><p>可选值范围：\[1, +)</p>                 |
| flowPackage         | 否  | Float                                                                                   | <p>流量包大小。</p><p>单位：TB，为0或0.1的倍数。</p><p>变更为流量包计费（ByTrafficPackage）时必传。</p><p>可选值范围：\[0.0, +)</p> |

## 3. 响应结果

| 参数名称           | 类型                                                                    | 描述                                                                 |
| -------------- | --------------------------------------------------------------------- | ------------------------------------------------------------------ |
| requestId      | String                                                                | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p>           |
| bandwidthPrice | [PriceItem](/api-reference/cn/compute/zec/datastructure.md#priceitem) | <p>非托管出口IP的带宽价格。</p><p>变更为共享带宽包计费（BandwidthCluster）时为null（免费）。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**查询将非托管出口IP变更为按带宽计费（带宽20Mbps）后的价格。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceChangeUnmanagedEgressIpInternetChargeType
<Common Request Params>

Request：
{
  "unmanagedEgressIpId": "uneip-xxx",
  "internetChargeType": "ByBandwidth",
  "bandwidth": 20
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "bandwidthPrice": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.02,
      "discountUnitPrice": 0.02,
      "chargeUnit": "HOUR",
      "stepPrices": null
    }
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                                                           | 说明                        |
| ------- | ----------------------------------------------------------------------------- | ------------------------- |
| 404     | INVALID\_UNMANAGED\_EGRESS\_IP\_NOT\_FOUND                                    | 非托管出口IP不存在。               |
| 400     | OPERATION\_DENIED\_UNMANAGED\_EGRESS\_IP\_UNSUPPORTED\_INTERNET\_CHARGE\_TYPE | 非托管出口IP不支持该网络类型变更。        |
| 400     | OPERATION\_DENIED\_FLOW\_PACKAGE\_NOT\_SUPPORTED\_HOUR\_PERIOD                | 当前产品周期为小时计费，不支持设置保底流量包大小。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/unmanaged-egressip/inquirypricechangeunmanagedegressipinternetchargetype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
